GET /device/enforcement.json
Summary: Device Enforcement Reports
Operation ID: getDeviceEnforcement
Auth: unknown
Operation ID: getDeviceEnforcement
Auth: unknown
Description
Search and retrieve FDA enforcement reports for medical devices. These reports include recalls, market withdrawals, and safety alerts. Contains over 38,000 enforcement records.
Parameters (4)
count
(string, query, optional)
Field to count/aggregate results by (e.g., 'classification', 'status')
limit
(integer, query, optional, default: 1)
Maximum number of results to return (1-1000)
Constraints: {'minimum': 1, 'maximum': 1000}
search
(string, query, optional)
Search query string using field:value pairs. Example: 'product_type:Devices AND status:Ongoing'
skip
(integer, query, optional, default: 0)
Number of results to skip for pagination
Constraints: {'minimum': 0}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Search ongoing enforcement reports | curl |
https://api.fda.gov/device/enforcement.json?search=status:Ongoing&limit=5 |
|
| Search Class I device recalls | curl |
https://api.fda.gov/device/enforcement.json?search=classification:Class+I&limit=3 |
|
| Count reports by classification | curl |
https://api.fda.gov/device/enforcement.json?count=classification |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:49:04.299778 | 200 | 859ms | |
| 2026-03-23 10:09:22.221237 | 200 | 984ms | |
| 2026-03-23 09:27:46.038723 | 500 | 841ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:09:22.221237 | f9e23b33fad8 |
d69d2720e0fa |
| 2026-03-23 10:49:04.299778 | d69d2720e0fa |
29122f263e2d |